Create User
Creates a new [User](#schema_user). When creating a new [User](#schema_user), the required tags must be provided. See the specific integration for more details.
Header Parameters
Bot id
Integration id
Integration alias
Request Body
application/json
User data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/chat/users" \ -H "x-bot-id: string" \ -H "Content-Type: application/json" \ -d '{ "tags": { "property1": "string", "property2": "string" } }'{ "user": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "tags": { "property1": "string", "property2": "string" }, "name": "string", "pictureUrl": "string", "properties": { "property1": "string", "property2": "string" }, "attributes": { "property1": "string", "property2": "string" } }}{ "user": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "tags": { "property1": "string", "property2": "string" }, "name": "string", "pictureUrl": "string", "properties": { "property1": "string", "property2": "string" }, "attributes": { "property1": "string", "property2": "string" } }}Create Message POST
Creates a new [Message](#schema_message). When creating a new [Message](#schema_message), the required tags must be provided. See the specific integration for more details.
Delete Conversation DELETE
Permanently deletes a [Conversation](#schema_conversation). It cannot be undone. Also immediately deletes corresponding [Messages](#schema_message).